MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022908Open CASCADE[OCCT] OCCT:Shape Healingpublic2012-01-16 20:102012-01-25 15:05
Reporterssv 
Assigned Tossv 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0022908: SameParameter & SameRange flags are set incorrectly in ShapeBuild_Edge::CopyRanges
DescriptionThe test is performed on the edge represented by Geom_Circle in 3D and B-spline curve in 2D. After invocation of ShapeBuild_Edge::Copy method, the resulting edge gets SameParameter & SameRange flags equal to 0 while ShapeAnalysis_Edge::CheckSameParameter returns OK on the initial edge (it is actually SP-edge with corresponding flags initially set as true). The cause of this issue is most likely in ShapeBuild_Edge::CopyRanges method which might incorrectly process the periodic curves. The test Draw command is attached along with the test file.
Steps To ReproduceDRAWEXE
pload ALL
restore test_face.brep test_face
SBE_test test_face
TagsNo tags attached.
Test case numberTest case is not required now
Attached Files? file icon test_face.brep (12,002 bytes) 2012-01-16 20:11
zip file icon SSVSBETest.zip (1,885 bytes) 2012-01-16 20:12

- Relationships
child of 0022642assignedssv Refactoring of ShapeFix_Wire::FixIntersectingEdges 

-  Notes
(0019147)
ssv (developer)
2012-01-17 13:29
edited on: 2012-01-24 09:50

Dear BugMaster,

Please test branch http://svn/svn/occt/branches/SHG22908/. [^] Need to know a list of regressions in order to proceed with this bug.

Modified: code responsible for modification of parametric range of periodic curves commented out in ShapeBuild_Edge::CopyRanges.

(0019166)
apn (administrator)
2012-01-18 10:58

Dear BugMaster,
Workbench KAS:dev:apn-22908-occt was created from SVN branch http://svn/svn/occt/branches/SHG22908/ [^] [^]
(and apn-22908-products from trunk) and compiled on Linux platform.

There is regression in apn-22908-products regarding to KAS:dev:products-20111229-opt

chl 918 D8
(checkshape res
 - Faulty shapes in variables faulty_1 to faulty_2)

Unstable test cases:
chl 927 S8
pkv 913 A1

See results in /QADisk/occttests/results/KAS/dev/ apn-22908-products_17012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20111229-opt_29122011/lin
See test cases in /QADisk/occttests/tests/ED
(0019171)
apn (administrator)
2012-01-18 15:49
edited on: 2012-01-18 15:55

Branch http://svn/svn/occt/branches/SHG22908/ [^] doesn't have source of SBE_test command. Add it, please.
Also, change output by "cout" to "Draw_Interpretor", please.

(0019219)
ssv (developer)
2012-01-21 12:32
edited on: 2012-01-24 09:51

Dear Andrey (apn),

Could you please re-test branch http://svn/svn/occt/branches/SHG22908/ [^] now? The purpose is again to collect all regressions in order to proceed.

Modified: code responsible for modification SameRange and SameParameter flags for edges with periodic curves commented out in ShapeBuild_Edge::CopyRanges.

Concerning your remarks, I'd like to pount out the followings:

1. This issue is an auxillary one for 0022642 (I've just set the corresponding relationship above) and might not require any fix at all.

2. The provided test scenario (SBE_test) is not finalized yet, so we do not need to create any test case right now. Also, I didn't expect this SBE_test command to be integrated to OCCT, so what is the purpose of intergating it to branch?

3. About ustable test cases. Does it mean that "chl 927 S8" and "pkv 913 A1" became unstable after my modifications? Does this instability exist in products-20111229-opt_29122011?

(0019244)
apn (administrator)
2012-01-24 08:41

Dear BugMaster,
Workbench KAS:dev:apn-22908-occt was updated from SVN branch http://svn/svn/occt/branches/SHG22908/ [^]
(and apn-22908-products from trunk) and compiled on Linux platform.

There are following regression in apn-22908-products regarding to KAS:dev:products-20120120-opt

checkshape is faulty:
chl 908 A2
chl 913 J7
chl 917 C3
chl 918 D8

chp 003 D2

csh 006 A1
csh 007 A5
csh 007 B2
csh 007 B3
csh 007 B9
csh 007 C1
csh 007 C2
csh 007 D7
csh 007 D9
csh 007 E3
csh 007 E9
csh 007 F2
csh 011 A9
csh 011 C5
csh 011 E8
csh 011 G5

dec 007 B2

xigs 103 N7
xigs 203 W9

xsat 101 A9
xsat 102 U5
xsat 103 D7
xsat 104 N1
xsat 104 Y6
xsat 105 B3

xstp 106 L1
xstp 109 O2
xstp 111 U8
xstp 112 A2
xstp 112 A3
xstp 112 B1
xstp 112 G3
xstp 306 D6
xstp 311 W2
xstp 312 G5

can't read "shpp_a_o": no such variable:
did 001 D5
did 002 A5
did 002 A7
did 002 A8
did 002 A9
did 002 C2
did 002 D4
did 002 D5
did 002 D7
did 002 D8
did 002 D9
did 002 E1
did 002 E2
did 002 E5
did 002 F7
did 002 F8
did 003 A2
did 003 B8
did 003 E2
did 003 E4
did 003 E6
did 003 E9
did 003 F8
did 003 F9
did 003 G1
did 003 H1
did 003 H3
did 003 I4
did 003 I6
did 003 I8
did 003 J1
did 003 J3
did 003 K9
did 003 M7
did 003 N4
did 003 N6
did 003 N9
did 003 O1
did 003 O3
did 003 P4
did 003 P7
did 003 S5
did 003 T5
did 003 T8
did 003 U4
did 003 U5
did 004 A3
did 004 A4
did 004 A5
did 006 B2
did 006 C9
did 006 E5
did 006 F5
did 006 F6
did 006 F8
did 006 G4
did 006 G7
did 006 H8
did 006 I1
did 006 J9
did 006 K7
did 006 L9
did 006 M2
did 006 M3
did 006 P3
did 006 Q9
did 009 D1
did 009 F9
did 012 A4

See results in /QADisk/occttests/results/KAS/dev/ apn-22908-products_23012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120120-opt_20012012/lin
See test cases in /QADisk/occttests/tests/ED
(0019246)
ssv (developer)
2012-01-24 09:36
edited on: 2012-01-24 09:54

Dear Andrey (apn),

Could you please re-test http://svn/svn/occt/branches/SHG22908/ [^] ?

Modified: optional flag to allow/avoid modifications on ranges introduced in ShapeBuild_Edge::CopyRanged (copyAsIs parameter). This flag is set as TRUE in ShapeBuild_ReShape::Apply method.

(0019262)
apn (administrator)
2012-01-25 15:03
edited on: 2012-01-25 15:04

Dear BugMaster,
Workbench KAS:dev:apn-22908-occt was updated from SVN branch http://svn/svn/occt/branches/SHG22908/ [^]
(and apn-22908-products from trunk) and compiled on Linux platform.

There are regressions in apn-22908-products regarding to KAS:dev:products-20111229-opt

chl 902 F9 F9
chl 902 G2 G2
chl 903 A5 A5
chl 908 A2 A2
chl 908 A8 A8
chl 913 J7 J7
chl 917 C3 C3
chl 918 D7 D7
chl 918 D8 D8
chl 918 K6 K6
chl 919 A1 A1
chl 919 D1 D1
chl 919 G8 G8
chl 919 W7 W7
chl 921 A3 A3
chl 921 B3 B3
chl 927 E9 E9
chl 927 M8 M8
chl 927 P1 P1
chl 928 Q6 Q6
chl 928 Y3 Y3
chl 928 Y4 Y4
chl 934 B1 B1
chl 934 G8 G8
chl 934 I3 I3
chl 937 B4 B4
chl 937 B5 B5
chl 940 A1 A1
chl 918 D1 D1
chl 927 M9 M9
chl 927 Y4 Y4
chl 934 G7 G7
chl 937 A5 A5
chl 937 A6 A6
chl 937 A7 A7
chl 937 A8 A8
chl 937 B6 B6
chl 937 B7 B7

chp 003 A4 A4
chp 003 A9 A9
chp 003 B4 B4
chp 003 B8 B8
chp 003 B9 B9
chp 003 C3 C3
chp 003 C4 C4
chp 003 C6 C6
chp 003 D2 D2
chp 003 D5 D5
chp 003 D6 D6
chp 003 E5 E5
chp 003 E7 E7
chp 004 A6 A6
chp 004 A7 A7
chp 004 B2 B2
chp 005 A2 A2

cra 001 B3 B3

csh 002 A1 A1
csh 002 A2 A2
csh 002 A3 A3
csh 002 A4 A4
csh 002 A5 A5
csh 002 A6 A6
csh 002 A7 A7
csh 002 A8 A8
csh 002 A9 A9
csh 002 B1 B1
csh 002 B2 B2
csh 002 B3 B3
csh 006 A1 A1
csh 006 A2 A2
csh 006 A3 A3
csh 006 A5 A5
csh 007 A1 A1
csh 007 A5 A5
csh 007 A6 A6
csh 007 A7 A7
csh 007 A9 A9
csh 007 B2 B2
csh 007 B3 B3
csh 007 B4 B4
csh 007 B5 B5
csh 007 B9 B9
csh 007 C1 C1
csh 007 C2 C2
csh 007 D1 D1
csh 007 D2 D2
csh 007 D3 D3
csh 007 D4 D4
csh 007 D7 D7
csh 007 D9 D9
csh 007 E1 E1
csh 007 E2 E2
csh 007 E3 E3
csh 007 E4 E4
csh 007 E5 E5
csh 007 E9 E9
csh 007 F2 F2
csh 009 A1 A1
csh 009 A2 A2
csh 009 A3 A3
csh 009 A4 A4
csh 009 A5 A5
csh 009 A6 A6
csh 009 A7 A7
csh 009 A8 A8
csh 009 A9 A9
csh 009 B2 B2
csh 009 B3 B3
csh 009 B4 B4
csh 009 B5 B5
csh 009 B6 B6
csh 009 B7 B7
csh 009 B8 B8
csh 009 C2 C2
csh 009 C4 C4
csh 009 C7 C7
csh 009 C8 C8
csh 009 D2 D2
csh 009 D3 D3
csh 009 D4 D4
csh 009 D5 D5
csh 009 D6 D6
csh 009 D9 D9
csh 009 E4 E4
csh 009 E5 E5
csh 009 E6 E6
csh 009 E7 E7
csh 009 E8 E8
csh 009 E9 E9
csh 009 F1 F1
csh 009 F2 F2
csh 009 F3 F3
csh 009 F4 F4
csh 009 F5 F5
csh 010 A1 A1
csh 010 A2 A2
csh 010 A3 A3
csh 010 A4 A4
csh 010 A5 A5
csh 010 A8 A8
csh 010 B1 B1
csh 010 B6 B6
csh 010 B7 B7
csh 010 C1 C1
csh 010 C2 C2
csh 010 C3 C3
csh 010 C4 C4
csh 010 C5 C5
csh 010 C6 C6
csh 010 C7 C7
csh 010 C8 C8
csh 010 C9 C9
csh 010 D1 D1
csh 010 D2 D2
csh 011 A1 A1
csh 011 A2 A2
csh 011 A5 A5
csh 011 A9 A9
csh 011 B2 B2
csh 011 B4 B4
csh 011 B6 B6
csh 011 B7 B7
csh 011 B8 B8
csh 011 B9 B9
csh 011 C4 C4
csh 011 C5 C5
csh 011 C6 C6
csh 011 C9 C9
csh 011 D2 D2
csh 011 D5 D5
csh 011 D6 D6
csh 011 D7 D7
csh 011 D8 D8
csh 011 D9 D9
csh 011 E6 E6
csh 011 E7 E7
csh 011 F3 F3
csh 011 F6 F6
csh 011 G5 G5

dea 001 A2 A2
dea 001 A4 A4
dea 001 A5 A5
dea 001 B3 B3

dec 004 A1 A1
dec 004 E2 E2

dec 006 A4 A4
dec 006 D9 D9
dec 006 E1 E1
dec 006 E3 E3
dec 006 E7 E7
dec 006 I1 I1
dec 007 I3 I3
dec 007 I7 I7
dec 007 J7 J7
dec 007 L1 L1

can't read "shpp_a_o": no such variable:
did (all)

msh 004 A2 A2

xdxf 101 L4 L4

xigs 001 A2 A2
xigs 102 L9 L9
xigs 103 S8 S8
xigs 104 A9 A9
xigs 104 B4 B4

CHECKSHAPE : Faulty NBSHAPES : Faulty
xsat
xstp

xx_t 101 A8 A8
xx_t 101 B1 B1
xx_t 101 C1 C1
xx_t 101 C8 C8
xx_t 101 D2 D2
xx_t 101 D7 D7
xx_t 101 E2 E2
xx_t 101 E9 E9


See results in /QADisk/occttests/results/KAS/dev/ apn-22908-products_24012012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120120-opt_20012012/lin
See test cases in /QADisk/occttests/tests/ED


- Issue History
Date Modified Username Field Change
2012-01-16 20:10 ssv New Issue
2012-01-16 20:10 ssv Assigned To => ssv
2012-01-16 20:11 ssv Status new => assigned
2012-01-16 20:11 ssv File Added: test_face.brep
2012-01-16 20:12 ssv File Added: SSVSBETest.zip
2012-01-16 20:13 ssv Steps to Reproduce Updated View Revisions
2012-01-16 20:15 ssv Description Updated View Revisions
2012-01-17 13:29 ssv Note Added: 0019147
2012-01-17 13:29 ssv Status assigned => resolved
2012-01-17 13:30 ssv Status resolved => reviewed
2012-01-18 10:58 apn Note Added: 0019166
2012-01-18 10:58 apn Status reviewed => assigned
2012-01-18 15:49 apn Note Added: 0019171
2012-01-18 15:55 apn Note Edited: 0019171 View Revisions
2012-01-21 11:56 ssv Relationship added child of 0022642
2012-01-21 12:32 ssv Note Added: 0019219
2012-01-23 09:51 ssv Status assigned => resolved
2012-01-23 09:51 ssv Status resolved => reviewed
2012-01-24 08:41 apn Note Added: 0019244
2012-01-24 08:42 apn Test case number => Test case is not required now
2012-01-24 08:42 apn Status reviewed => assigned
2012-01-24 09:36 ssv Note Added: 0019246
2012-01-24 09:36 ssv Status assigned => resolved
2012-01-24 09:37 ssv Status resolved => reviewed
2012-01-24 09:50 ssv Note Edited: 0019147 View Revisions
2012-01-24 09:51 ssv Note Edited: 0019219 View Revisions
2012-01-24 09:53 ssv Note Edited: 0019246 View Revisions
2012-01-24 09:54 ssv Note Edited: 0019246 View Revisions
2012-01-24 09:54 ssv Note Edited: 0019246 View Revisions
2012-01-25 15:03 apn Note Added: 0019262
2012-01-25 15:04 apn Note Edited: 0019262 View Revisions
2012-01-25 15:05 apn Status reviewed => assigned


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker